| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
Gaudi._ConfigurablesModule Class Reference

Small class that allows to access all the configurables as attributes of the instance. More...

Inheritance diagram for Gaudi._ConfigurablesModule:
[legend]
Collaboration diagram for Gaudi._ConfigurablesModule:
[legend]

## Public Member Functions
def | __init__ (self)
| Initializes the instance. More...
def | __getattr__ (self, name)

## Public Attributes
| ignoreMissingConfigurables
| If set to true, does not raise an AttributeError if the configurable is not found. More...

## Private Attributes
| __name__

## Detailed Description

Small class that allows to access all the configurables as attributes of the instance.

Used as module to allow code like

1 from Gaudi.Configuration import Configurables
2 Configurables.MyConf()

Definition at line 13 of file __init__.py.

## Constructor & Destructor Documentation

def Gaudi._ConfigurablesModule.__init__ | ( |  | self | ) |

Initializes the instance.

Definition at line 15 of file __init__.py.

15 def __init__(self):
16 ## If set to true, does not raise an AttributeError if the configurable is not found.
17 self.ignoreMissingConfigurables = False
18 self.__name__ = __configurables_module_fullname__
19
Gaudi._ConfigurablesModule.__name__
__name__
Definition: __init__.py:18
Gaudi._ConfigurablesModule.__init__
def __init__(self)
Initializes the instance.
Definition: __init__.py:15
Gaudi._ConfigurablesModule.ignoreMissingConfigurables
ignoreMissingConfigurables
If set to true, does not raise an AttributeError if the configurable is not found.
Definition: __init__.py:17

## Member Function Documentation

def Gaudi._ConfigurablesModule.__getattr__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 20 of file __init__.py.

20 def __getattr__(self, name):
21 # trigger the load of the configurables database
22 from Gaudi.Configuration import confDbGetConfigurable, cfgDb
23 from Gaudi.CommonGaudiConfigurables import aliases
24 # return value
25 retval = None
26 # handle the special cases (needed for modules): __all__, __path__
27 if name == "__all__":
28 retval = cfgDb.keys()
29 elif name == "__path__":
30 raise AttributeError("'module' object has no attribute '__path__'")
31 elif name in cfgDb.keys(): # ignore private names
32 retval = confDbGetConfigurable(name)
33 elif name in aliases: # special case of aliases
34 retval = aliases[name]
35 elif self.ignoreMissingConfigurables:
36 import logging
37 logging.getLogger(__configurables_module_fullname__).warning('Configurable class %s not in database', name)
38 else:
39 # We raise an AttributeError exception if the configurable could not be found
40 # to respect the Python semantic.
41 raise AttributeError("module '%s' does not have attribute '%s'" % (__configurables_module_fullname__, name))
42 return retval
43
44 # install the facade module instance as a module
Gaudi._ConfigurablesModule.__getattr__
def __getattr__(self, name)
Definition: __init__.py:20
Gaudi.Configuration
Definition: Configuration.py:1
Gaudi.CommonGaudiConfigurables
Definition: CommonGaudiConfigurables.py:1
Gaudi._ConfigurablesModule.ignoreMissingConfigurables
ignoreMissingConfigurables
If set to true, does not raise an AttributeError if the configurable is not found.
Definition: __init__.py:17

## Member Data Documentation

Gaudi._ConfigurablesModule.__name__
| private

Definition at line 18 of file __init__.py.

Gaudi._ConfigurablesModule.ignoreMissingConfigurables

If set to true, does not raise an AttributeError if the configurable is not found.

Definition at line 17 of file __init__.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/__init__.py